%define name		hping2
%define version		2.0.0
%define beta		beta54
%define release		0.%{beta}.2mdk
%define summary		TCP/IP packet assembler/analyzer

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Monitoring
Source:		http://www.kyuzz.org/antirez/hping-src/%{name}-%{beta}.tar.bz2
Patch0:		%{name}.getuser.patch.bz2
URL:		http://www.kyuzz.org/antirez/hping.html
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer. The 
interface is very similar to the ping(8) unix command, with many
extensions. It supports TCP, UDP, ICMP and RAW-IP protocols. A scripting
language is under developing.

%prep
%setup -n hping2-%{beta}/
%patch0

%build
./configure
%make

%install
install -d 755 $RPM_BUILD_ROOT%{_sbindir}
install -d 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 hping2 $RPM_BUILD_ROOT%{_sbindir}
install -m 644 docs/hping2.8 $RPM_BUILD_ROOT%{_mandir}/man8
cd $RPM_BUILD_ROOT%{_sbindir} && ln -s hping2 hping

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING INSTALL KNOWN-BUGS NOTIFY PORTINGS TODO
%{_sbindir}/*
%{_mandir}/man8/hping2.8.*

%changelog
* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-0.beta54.2mdk
- new in contribs

* Fri Jul 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-0.beta54.1mdk
- first mdk version
